# Anki Flashcard Generator

A Python tool to automatically generate Anki flashcards for language learning.

## Features

- Generates vocabulary cards with examples and translations
- Includes relevant images from Unsplash
- Customizable card templates

## Setup

1. Install uv (if not already installed):
   ```bash
   brew install uv
   ```

2. Clone the repository

3. Set up development environment:
   ```bash
   make dev
   ```

5. Copy `.env.example` to `.env` and add your API keys:
   ```bash
   cp .env.example .env
   ```

## Usage

```bash
uv run -m anki_generator --input words.csv --output deck.apkg
```

## To do
- [ ] Add error logging
- [ ] Fix image rendering
- [ ] If word already exists, do not recreate cards